## vlc-dmo 3.0.21

=== debian/changelog ===
vlc-dmo (1:3.0.21-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.
  * Fix VideoLAN-SB-VLC-3021 (A denial of service through a potential
    integer overflow could be triggered with a maliciously crafted mms
    stream)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Jun 2024 07:33:04 +0200

vlc-dmo (1:3.0.20-dmo0+deb12u2) stable; urgency=medium

  * Install libaccess_output_srt_plugin.so in the vlc-plugin-access-extra
    package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Feb 2024 11:24:55 +0100

vlc-dmo (1:3.0.20-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.
    Fix potential security issue (OOB Write) on MMS://

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Nov 2023 08:51:48 +0100

vlc-dmo (1:3.0.18-dmo7) unstable; urgency=medium

  * Build with libplacebo264

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Mar 2023 14:49:22 +0100

vlc-dmo (1:3.0.18-dmo6) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 12:19:28 +0100

vlc-dmo (1:3.0.18-dmo5) unstable; urgency=medium

  * Build with libbasicusageenvironment2

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Jan 2023 10:29:02 +0100

vlc-dmo (1:3.0.18-dmo4) unstable; urgency=medium

  * Add upstream patch to fix build with libplacebo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Jan 2023 00:35:28 +0100

vlc-dmo (1:3.0.18-dmo3) unstable; urgency=medium

  * Build with libprotobuf-lite32
  * Disable libplacebo until upstream fix that.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Nov 2022 02:00:52 +0100

vlc-dmo (1:3.0.18-dmo2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 15:48:25 +0200

vlc-dmo (1:3.0.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Oct 2022 11:36:22 +0200

vlc-dmo (1:3.0.17.4-dmo4) unstable; urgency=medium

  * Build with libplacebo208

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Jul 2022 07:40:59 +0200

vlc-dmo (1:3.0.17.4-dmo3) unstable; urgency=medium

  * Build with ffmpeg 4.4
  * Enable libva support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Jul 2022 16:00:31 +0200

vlc-dmo (1:3.0.17.4-dmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0
  * Build with liblivemedia107
  * Add upstream patch to fix build with libcaca 0.99.beta20-2
  * Disable libva support, vlc's libva support and ffmpeg 5.0 are not
    compatible.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 12:19:07 +0200

vlc-dmo (1:3.0.17.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Apr 2022 16:50:58 +0200

vlc-dmo (1:3.0.17.3-dmo2) unstable; urgency=medium

  * debian/rules Fix typo VLC_COMPILE_HOS --> VLC_COMPILE_HOST
  * Enable SRT (Secure Reliable Transport UDP streaming library)
  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Mar 2022 15:38:13 +0100

vlc-dmo (1:3.0.17.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Mar 2022 08:47:24 +0100

vlc-dmo (1:3.0.17-dmo2) unstable; urgency=medium

  * Build with libsmbclient instead of libdsm

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Mar 2022 08:04:12 +0100

vlc-dmo (1:3.0.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Feb 2022 13:15:45 +0100

vlc-dmo (1:3.0.16-dmo8) unstable; urgency=medium

  * Build with libnfs14

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 12:49:57 +0100

vlc-dmo (1:3.0.16-dmo7) unstable; urgency=medium

  * Build with libplacebo192

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jan 2022 15:20:51 +0100

vlc-dmo (1:3.0.16-dmo6) unstable; urgency=medium

  * Build with liblivemedia102

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Dec 2021 08:35:40 +0100

vlc-dmo (1:3.0.16-dmo5) unstable; urgency=medium

  * Build with liblivemedia101 and libfluidsynth3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Nov 2021 08:23:24 +0100

vlc-dmo (1:3.0.16-dmo4) unstable; urgency=medium

  * Build with liblivemedia99

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Nov 2021 16:08:30 +0100

vlc-dmo (1:3.0.16-dmo3) unstable; urgency=medium

  * Build with libplacebo157

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Sep 2021 11:49:20 +0200

vlc-dmo (1:3.0.16-dmo2) unstable; urgency=medium

  * Build with liblivemedia97 and libidn12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Aug 2021 08:57:20 +0200

vlc-dmo (1:3.0.16-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Jun 2021 15:02:28 +0200

vlc-dmo (1:3.0.15-dmo2) unstable; urgency=medium

  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 09:00:24 +0200

vlc-dmo (1:3.0.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Jun 2021 19:47:56 +0200

vlc-dmo (1:3.0.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 May 2021 17:59:26 +0200

vlc-dmo (1:3.0.13-dmo3) unstable; urgency=medium

  * Build with liblivemedia94

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 May 2021 15:40:50 +0200

vlc-dmo (1:3.0.13-dmo2) unstable; urgency=medium

  * Build with libx264-163

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 17:38:30 +0200

vlc-dmo (1:3.0.13-dmo1) unstable; urgency=medium


