=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

pluginpackages += access-extra
pluginpackages += base
pluginpackages += fluidsynth
pluginpackages += jack
pluginpackages += notify
pluginpackages += qt
pluginpackages += skins2
pluginpackages += svg
pluginpackages += video-output
pluginpackages += video-splitter
pluginpackages += visualization

export VLC_COMPILE_BY=DMO
export VLC_COMPILE_HOST=deb-multimedia.org

# git describe --tags --long --match '?.*.*' --always > src/revision.txt

# configure flags
confflags += \
	CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
	CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
	LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" \
	--config-cache \
	--disable-update-check \
	--enable-fast-install \
	--docdir=/usr/share/doc/vlc-data \
	$(NULL)

# configure features
confflags += \
	--enable-a52 \
	--enable-aa \
	--enable-aribsub \
	--enable-avahi \
	--enable-bluray \
	--enable-caca \
	--enable-chromaprint \
	--enable-chromecast \
	--enable-dbus \
	--enable-dca \
	--enable-dvbpsi \
	--enable-dvdnav \
	--enable-faad \
	--enable-flac \
	--enable-fluidsynth \
	--enable-freetype \
	--enable-fribidi \
	--enable-gles2 \
	--enable-gnutls \
	--enable-harfbuzz \
	--enable-jack \
	--enable-kate \
	--enable-libass \
	--enable-libmpeg2 \
	--enable-libplacebo \
	--enable-libxml2 \
	--enable-lirc \
	--enable-live555 \
	--enable-mad \
	--enable-matroska \
	--enable-mod \
	--enable-mpc \
	--enable-mpg123 \
	--enable-mtp \
	--enable-ncurses \
	--enable-notify \
	--enable-ogg \
	--enable-opus \
	--enable-pulse \
	--enable-qt \
	--enable-realrtsp \
	--enable-samplerate \
	--enable-sdl-image \
	--enable-sftp \
	--enable-shine \
	--enable-shout \
	--enable-skins2 \
	--enable-soxr \
	--enable-speex \
	--enable-srt \
	--enable-svg \
	--enable-svgdec \
	--enable-taglib \
	--enable-theora \
	--enable-twolame \
	--enable-upnp \
	--enable-vdpau \
	--enable-vnc \
	--enable-vorbis \
	--enable-x264 \
	--enable-x265 \
	--enable-zvbi \
	--with-kde-solid=/usr/share/solid/actions/ \
	$(NULL)

# Reasons for disabling features:
# aom: dav1d do the same and is more fast
# d3d11va: Windows only
# decklink: not in Debian
# directx: Windows only
# dxva2: Windows only
# fluidlite: fluidsynth is enabled
# goom: not in Debian
# gst-decode: not needed when having libavcodec
# libtar: security issue (#737534)
# macosx*: MacOX only
# mfx: currently not supported on Linux
# opencv: developer plugin not required by end users
# projectm: broken
# schroedinger: removed from Debian (#845037)
# sparkle: MacOS X only
# telx: incompatible with zvbi
# vpx: not needed when having libavcodec
# vsxu: not in Debian
# wasapi: Windows only
# freerdp: Only freerdp 2 is available.
# dsm : We use libsmbclient.
confflags += \
	--disable-altivec \
	--disable-aom \
	--disable-d3d11va \
	--disable-decklink \
	--disable-directx \
	--disable-dsm \
	--disable-dxva2 \
	--disable-fluidlite \
	--disable-freerdp \
	--disable-goom \
	--disable-gst-decode \
	--disable-libtar \
	--disable-macosx \
	--disable-macosx-avfoundation \
	--disable-mfx \
	--disable-mmal \
	--disable-omxil \
	--disable-opencv \
	--disable-projectm \
	--disable-schroedinger \
	--disable-sndio \
	--disable-sparkle \
	--disable-telx \
	--disable-vpx \
	--disable-vsxu \
	--disable-wasapi \
	$(NULL)

removeplugins += libva

# Linux specific flags
ifeq ($(DEB_HOST_ARCH_OS),linux)
# V4L2 is disabled on kFreeBSD due to a build failure.
confflags += \
	--enable-alsa \
	--enable-dc1394 \
	--enable-dv1394 \
	--enable-linsys \
	--enable-nfs \
	--enable-udev \
	--enable-v4l2 \
	--enable-wayland \
	$(NULL)
removeplugins += oss
else
confflags += \
	--disable-alsa \
	--disable-dc1394 \
	--disable-dv1394 \
	--disable-linsys \
	--disable-nfs \
	--disable-udev \
	--disable-v4l2 \
	--disable-wayland \
	$(NULL)
removeplugins += \
	alsa \
	dc1394 \
	dtv \
	dv1394 \
	dvb \
	fb \
	linsys \
	nfs \
	systemd \
	udev \
	v4l2 \
	wayland \
	$(NULL)
endif

# Linux and kFreeBSD specific flags
# kfreebsd disabled due to a build failure

ifeq (,$(filter-out linux,$(DEB_HOST_ARCH_OS)))
confflags += --enable-v4l2
else
confflags += --disable-v4l2
removeplugins += v4l2
endif

# amd64 and i386 specific optimizations

ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH_CPU)))
confflags += --enable-mmx --enable-sse
else
confflags += --disable-mmx --disable-sse
removeplugins += mmx sse2
endif

# Armhf

ifeq (,$(filter-out armhf,$(DEB_HOST_ARCH)))
confflags += --enable-neon
else
confflags += --disable-neon
removeplugins += neon
endif

# Sparc

ifeq (,$(filter-out sparc,$(DEB_HOST_ARCH_CPU)))
removeplugins += rdp
endif

export removeplugins

%:
	dh $@ --with quilt

override_dh_auto_build:
	dh_auto_build

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	# Build zsh completion
	BUILDDIR=$(CURDIR) \
	cd extras/analyser && ./zsh_completion.sh
endif

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

	CCACHE_PREFIX="" $(MAKE) -C src fourcc_gen

#	exit 1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	./vlc -vvv --ignore-config --no-plugins-cache --list --no-color
endif
endif

override_dh_install:
	# Remove plugin cache
	find debian/tmp/usr/lib -name plugins.dat -delete

	# Clean up libtool crap
	find debian/tmp -name '*.la' -delete

	# Remove useless stuff
	ln -sf /usr/share/fonts/truetype/freefont/FreeSans.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSans.ttf
	ln -sf /usr/share/fonts/truetype/freefont/FreeMonoBold.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSansBold.ttf
	rm -f debian/tmp/usr/share/man/man1/vlc-config.1

	# Remove additional license files
	find debian/tmp -name LICENSE -delete
	# Remove examples installed in -dev packages
	rm -rf debian/tmp/usr/share/doc/vlc-data/libvlc

	# Contains only a 404 link
	find debian/tmp -name bugreport-howto.txt -delete

	# Remove old BluRay plugin
	find debian/tmp -name libaccess_bd_plugin.so -delete

	# Remove MacOS X resources
	rm -rf debian/tmp/usr/share/macosx

	# Install
	dh_install

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	# Install zsh completion
	dh_install -pvlc-bin extras/analyser/_vlc usr/share/zsh/vendor-completions
endif
	$(if $(shell dpkg-vendor --is Ubuntu && echo true),dh_install -pvlc-bin debian/source_vlc.py usr/share/apport/package-hooks/)
	dh_buildinfo -p vlc

override_dh_clean:
	dh_clean extras/analyser/zsh_gen extras/analyser/vlc debian/libvlc-bin.postrm \
	modules/codec/webvtt/CSSLexer.c po/stamp-po po/*.gmo debian/libvlc-bin.triggers \
	modules/codec/webvtt/CSSGrammar.c debian/libvlc-bin.postinst debian/libvlc-bin.prerm \
	src/revision.c extras/analyser/_vlc

	find -name *.luac -delete

override_dh_makeshlibs:
	dh_makeshlibs -- \
	-Xlibvlc_vdpau -Xlibvlc_pulse -Xlibvlc_xcb_events

override_dh_installdeb-arch:
	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
		debian/libvlc-bin.postinst.in > debian/libvlc-bin.postinst
	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
		debian/libvlc-bin.prerm.in > debian/libvlc-bin.prerm
	echo 'interest-noawait /usr/lib/${DEB_HOST_MULTIARCH}/vlc/plugins' > debian/libvlc-bin.triggers
	dh_installdeb -a

override_dh_gencontrol-arch:
	sed -n 's/^# define MODULE_SYMBOL \([0-9][_0-9a-z]*\)/-Vvlc:PluginABI=vlc-plugin-abi-\1/p' \
		include/vlc_plugin.h | tr _ - | xargs dh_gencontrol -a --
