## vlc-dmo 3.0.21-1-610-g3e1083e7b5

=== debian/changelog ===
vlc-dmo (1:3.0.21-1-610-g3e1083e7b5-dmo1) unstable; urgency=medium

  * Start to package git 3.0.x branch source code.
  * Video Acceleration API is back

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Apr 2025 17:09:36 +0200

vlc-dmo (1:3.0.21-dmo5+b2) unstable; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 11:14:03 +0100

vlc-dmo (1:3.0.21-dmo5+b1) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Feb 2025 08:34:17 +0100

vlc-dmo (1:3.0.21-dmo5) unstable; urgency=medium

  * Add debian patches to fix build with Taglib 2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2025 15:48:38 +0100

vlc-dmo (1:3.0.21-dmo4) unstable; urgency=medium

  * Add upstream patch to fix build with libnfs16

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Dec 2024 09:15:22 +0100

vlc-dmo (1:3.0.21-dmo3+b2) unstable; urgency=medium

  * Build with liblivemedia116

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Dec 2024 14:51:13 +0100

vlc-dmo (1:3.0.21-dmo3+b1) unstable; urgency=medium

  * Remove 06_x265-4+X265_MAX_FRAME_THREADS patch to build with libx265-215

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Nov 2024 11:28:22 +0100

vlc-dmo (1:3.0.21-dmo3) unstable; urgency=medium

  * Add upstream fix for x265 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Sep 2024 16:18:45 +0200

vlc-dmo (1:3.0.21-dmo2) unstable; urgency=medium

  * Disable x265 until upstream fix support for x265 4.x
  * Build with liblivemedia115

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Sep 2024 11:42:35 +0200

vlc-dmo (1:3.0.21-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Jun 2024 08:46:21 +0200

vlc-dmo (1:3.0.20-dmo8) unstable; urgency=medium

  * Add patches from fedoraproject to fix build with ffmpeg 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 May 2024 07:52:57 +0200

vlc-dmo (1:3.0.20-dmo7) unstable; urgency=medium

  * Build with libx265-209

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Apr 2024 18:54:01 +0200

vlc-dmo (1:3.0.20-dmo6) unstable; urgency=medium

  * Rebuild for time_t (libflac12t64, libqt5gui5t64, libixml11t64 and
    libupnp17t64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Mar 2024 07:47:11 +0100

vlc-dmo (1:3.0.20-dmo5) unstable; urgency=medium

  * Bump module ABI for time_t transition

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Feb 2024 08:57:16 +0100

vlc-dmo (1:3.0.20-dmo4) unstable; urgency=medium

  * Move libaccess_output_srt_plugin.so in the vlc-plugin-access-extra
    package (Thanks to "Trawglodyte" for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Feb 2024 12:39:43 +0100

vlc-dmo (1:3.0.20-dmo3) unstable; urgency=medium

  * Build with liblivemedia112

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Dec 2023 07:58:29 +0100

vlc-dmo (1:3.0.20-dmo2) unstable; urgency=medium

  * Build with liblivemedia111

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Nov 2023 07:56:34 +0100

vlc-dmo (1:3.0.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Oct 2023 07:45:39 +0100

vlc-dmo (1:3.0.19-dmo3) unstable; urgency=medium

  * Build-Conflicts with lua5.2 The default lua is 5.1 in Debian.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Oct 2023 19:58:50 +0200

vlc-dmo (1:3.0.19-dmo2) unstable; urgency=medium

  * Update po files for translations.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Oct 2023 19:04:16 +0200

vlc-dmo (1:3.0.19-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Oct 2023 18:00:19 +0200

vlc-dmo (1:3.0.18-dmo10) unstable; urgency=medium

  * Build with libdav1d7

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Oct 2023 11:34:00 +0200

vlc-dmo (1:3.0.18-dmo9) unstable; urgency=medium

  * Build with lua 5.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Aug 2023 15:18:30 +0200

vlc-dmo (1:3.0.18-dmo8) unstable; urgency=medium

  * Disable libplacebo

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Jul 2023 09:05:16 +0200
