=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 export VLC_COMPILE_HOST=deb-multimedia.org
 
 # git describe --tags --long --match '?.*.*' --always > src/revision.txt
+# After a './configure' do a 'make update-po'
 
 # configure flags
 confflags += \
@@ -67,7 +68,7 @@
 	--enable-kate \
 	--enable-libass \
 	--enable-libmpeg2 \
-	--enable-libplacebo \
+	--enable-libva \
 	--enable-libxml2 \
 	--enable-lirc \
 	--enable-live555 \
@@ -85,7 +86,6 @@
 	--enable-qt \
 	--enable-realrtsp \
 	--enable-samplerate \
-	--enable-sdl-image \
 	--enable-sftp \
 	--enable-shine \
 	--enable-shout \
@@ -113,23 +113,26 @@
 # d3d11va: Windows only
 # decklink: not in Debian
 # directx: Windows only
+# dsm : We use libsmbclient.
 # dxva2: Windows only
 # fluidlite: fluidsynth is enabled
+# freerdp: Only freerdp 2 is available.
 # goom: not in Debian
 # gst-decode: not needed when having libavcodec
-# libtar: security issue (#737534)
+# libtar: removed from Debian
+# libplacebo doesn't build
 # macosx*: MacOX only
 # mfx: currently not supported on Linux
 # opencv: developer plugin not required by end users
 # projectm: broken
 # schroedinger: removed from Debian (#845037)
+# sdl-image: SDL 1.2 is deprecated (#1038590)
+# sndio: NMU maintained key package
 # sparkle: MacOS X only
 # telx: incompatible with zvbi
 # vpx: not needed when having libavcodec
 # vsxu: not in Debian
 # wasapi: Windows only
-# freerdp: Only freerdp 2 is available.
-# dsm : We use libsmbclient.
 confflags += \
 	--disable-altivec \
 	--disable-aom \
@@ -142,6 +145,7 @@
 	--disable-freerdp \
 	--disable-goom \
 	--disable-gst-decode \
+	--disable-libplacebo \
 	--disable-libtar \
 	--disable-macosx \
 	--disable-macosx-avfoundation \
@@ -151,6 +155,7 @@
 	--disable-opencv \
 	--disable-projectm \
 	--disable-schroedinger \
+	--disable-sdl-image \
 	--disable-sndio \
 	--disable-sparkle \
 	--disable-telx \
@@ -158,8 +163,6 @@
 	--disable-vsxu \
 	--disable-wasapi \
 	$(NULL)
-
-removeplugins += libva
 
 # Linux specific flags
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -213,7 +216,6 @@
 endif
 
 # amd64 and i386 specific optimizations
-
 ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH_CPU)))
 confflags += --enable-mmx --enable-sse
 else
@@ -231,10 +233,6 @@
 endif
 
 # Sparc
-
-ifeq (,$(filter-out sparc,$(DEB_HOST_ARCH_CPU)))
-removeplugins += rdp
-endif
 
 export removeplugins
 
@@ -298,7 +296,6 @@
 	dh_install -pvlc-bin extras/analyser/_vlc usr/share/zsh/vendor-completions
 endif
 	$(if $(shell dpkg-vendor --is Ubuntu && echo true),dh_install -pvlc-bin debian/source_vlc.py usr/share/apport/package-hooks/)
-	dh_buildinfo -p vlc
 
 override_dh_clean:
 	dh_clean extras/analyser/zsh_gen extras/analyser/vlc debian/libvlc-bin.postrm \
