## vlc-dmo 3.0.22

=== debian/changelog ===
vlc-dmo (1:3.0.22-dmo2) unstable; urgency=medium

  * Build with liblivemedia117

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Oct 2025 15:23:43 +0200

vlc-dmo (1:3.0.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Sep 2025 15:54:42 +0200

vlc-dmo (1:3.0.21-1-610-g3e1083e7b5-dmo4) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 17:32:01 +0200

vlc-dmo (1:3.0.21-1-610-g3e1083e7b5-dmo3) unstable; urgency=medium

  * Build with libbluray3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Aug 2025 16:55:45 +0200

vlc-dmo (1:3.0.21-1-610-g3e1083e7b5-dmo2) unstable; urgency=medium

  * Build with libxml2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Aug 2025 16:39:54 +0200
