=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.videolan.org/vlc/
 Standards-Version: 4.7.2
-Build-Conflicts: lua5.1
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), autopoint,
+Build-Depends: debhelper-compat (= 13), autopoint,
  gettext, liba52-0.7.4-dev, libaa1-dev, zlib1g-dev, libgme-dev, flex,
  libasound2-dev (>= 0.9.0beta10a), libass-dev (>= 0.9.6), libopus-dev,
  libavahi-client-dev, libavc1394-dev, libavcodec-dev (>= 10:6.0~),
- libavformat-dev (>= 10:6.0~), libpostproc-dev (>= 10:6.0~), python3,
+ libavformat-dev (>= 10:6.0~), python3,
  libswscale-dev (>= 10:6.0~), libcaca-dev (>= 0.99.beta4), libcddb2-dev,
  libcdio-dev (>= 1:2.1.0), libdc1394-dev, libdca-dev, desktop-file-utils,
  libdvbpsi-dev (>= 1:1.3.0), libdvdnav-dev (>= 5.0.3), libfaad-dev,
  libflac-dev (>= 1.3.1-4), libfluidsynth-dev, libfreetype-dev, libfribidi-dev,
  libgl-dev, libchromaprint-dev (>= 1:1.3.1), libgnutls28-dev (>= 3.4.8),
  libjack-jackd2-dev, libkate-dev (>= 0.1.5), libnotify-dev, liblirc-dev,
- liblivemedia-dev (>= 2:2023.11.30~), liblua5.2-dev, lua5.2, libvdpau-dev,
+ liblivemedia-dev (>= 2:2025.10.13~), liblua5.4-dev, lua5.4, libvdpau-dev,
  libmatroska-dev (>= 1.6.0), libmpcdec-dev, libsmbclient-dev, bison,
  libmpeg2-4-dev, libmtp-dev (>= 1.0.0), libncurses-dev, protobuf-compiler,
- libogg-dev, libpng-dev, , quilt, libmad0-dev, libpulse-dev (>= 0.9.11),
+ libogg-dev, libpng-dev, quilt, libmad0-dev, libpulse-dev (>= 0.9.11),
  libraw1394-dev (>= 2.0.1), qtbase5-dev, librsvg2-dev, libshout-dev,
  libspeex-dev, qtbase5-private-dev, wayland-protocols, libaribb25-dev,
  libxcb-keysyms1-dev (>= 0.3.4), zsh, libtag-dev,
@@ -36,10 +35,12 @@
  libgstreamer-plugins-base1.0-dev, libx265-dev (>= 1:3.3~), libnfs-dev,
  libsystemd-dev, libmpg123-dev, libgles-dev, libaribb24-dev,
  libqt5svg5-dev, libsoxr-dev, libprotobuf-dev (>= 3.21.9~), libsecret-1-dev,
- libarchive-dev, libplacebo-dev (>= 2:4.292~), nasm [any-amd64 any-i386],
+ libarchive-dev, nasm [any-amd64 any-i386],
  libx264-dev, libqt5x11extras5-dev, libdav1d-dev (>= 1:0.4.0),
  libopenmpt-modplug-dev (>= 0.8.9) | libmodplug-dev (>= 1:0.8.9),
- libsrt-gnutls-dev (>= 1.4), libva-dev, libspatialaudio-dev
+ libsrt-gnutls-dev (>= 1.4), libva-dev, libspatialaudio-dev,
+
+##libplacebo-dev (>= 2:4.292~),
 
 Package: vlc
 Architecture: any
@@ -268,3 +269,4 @@
 Replaces: vlc (<< 1:3.0~git20161208-dmo1~)
 Description: multimedia player and streamer (Qt plugin)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
