=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,10 @@
 export VLC_COMPILE_BY=DMO
 export VLC_COMPILE_HOST=deb-multimedia.org
 
+# If a git branch (origin/3.0.x for now) is packaged.
 # git describe --tags --long --match '?.*.*' --always > src/revision.txt
+# or
+# git describe --tags --long --match '?.*.*' --always origin/3.0.x
 # After a './configure' do a 'make update-po'
 
 # configure flags
@@ -120,7 +123,7 @@
 # goom: not in Debian
 # gst-decode: not needed when having libavcodec
 # libtar: removed from Debian
-# libplacebo doesn't build
+# libplacebo to new for vlc 3.x
 # macosx*: MacOX only
 # mfx: currently not supported on Linux
 # opencv: developer plugin not required by end users
