=== debian/watch ===
version=4

opts=pgpmode=auto \
https://download.videolan.org/pub/videolan/vlc/([\d][\d\.]+[a-z]?)/vlc-([\d][\d\\.]+[a-z]?)@ARCHIVE_EXT@
