## vlc-dmo 3.0.22+really3.0.22~rc2

=== debian/changelog ===
vlc-dmo (1:3.0.22+really3.0.22~rc2-dmo1) unstable; urgency=medium

  * New upstream release candidate.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Nov 2025 15:10:42 +0100
