## vlc-dmo 3.0.23

=== debian/changelog ===
vlc-dmo (2:3.0.23-dmo3) unstable; urgency=medium

  * Build with libgroupsock33

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Feb 2026 08:24:33 +0100

vlc-dmo (2:3.0.23-dmo2) unstable; urgency=medium

  * Build with libupnp20

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Feb 2026 17:41:01 +0100

vlc-dmo (2:3.0.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 08:42:25 +0100

vlc-dmo (2:3.0.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Dec 2025 11:30:06 +0100
