=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,8 @@
 export VLC_COMPILE_HOST=deb-multimedia.org
 
 # If a git branch (origin/3.0.x for now) is packaged.
+# git checkout 3.0.22
+# git pull --rebase origin
 # git describe --tags --long --match '?.*.*' --always > src/revision.txt
 # or
 # git describe --tags --long --match '?.*.*' --always origin/3.0.x
@@ -123,7 +125,7 @@
 # goom: not in Debian
 # gst-decode: not needed when having libavcodec
 # libtar: removed from Debian
-# libplacebo to new for vlc 3.x
+# Depends on libplacebo < 6
 # macosx*: MacOX only
 # mfx: currently not supported on Linux
 # opencv: developer plugin not required by end users
